账户付款
GET https://olinke.com/api/payments/
curl --request GET \
--url 'https://olinke.com/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://olinke.com/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
| 参数 | 细节 | 描述 |
|---|---|---|
| processor | 可选的 字符串 | 允许的值:paypal, stripe, offline_payment, payu, iyzico, paystack, razorpay, mollie, yookassa, crypto_com, paddle, paddle_billing, mercadopago, midtrans, flutterwave, lemonsqueezy, myfatoorah, klarna, plisio, revolut |
| status | 可选的 字符串 | 允许的值:paid, pending, cancelled, refunded |
| type | 可选的 字符串 | 允许的值:one_time, recurring |
| frequency | 可选的 字符串 | 允许的值:monthly, quarterly, biannual, annual, lifetime |
| datetime_field | 可选的 字符串 | 允许的值:datetime |
| datetime_start | 可选的 字符串 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | 可选的 字符串 | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | 可选的 字符串 | 按哪个字段排序结果。允许的值有:id, datetime, total_amount。 |
| order_type | 可选的 字符串 | 结果的排序。允许的值为:ASC 表示升序排序,DESC 表示降序排序。 |
| page | 可选的 整数 | 您想要结果的页码。默认为 1。 |
| results_per_page | 可选的 整数 | 每页您想要多少个结果。允许的值是:10, 25, 50, 100, 250, 500, 1000。默认为25。 |
{
"data": [
{
"id": 1,
"plan_id": 1,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"email": "example@example.com",
"name": null,
"total_amount": "4.99",
"currency": "USD",
"status": true,
"datetime": "2026-04-17 10:05:51",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://olinke.com/api/payments?page=1",
"last": "https://olinke.com/api/payments?page=1",
"next": null,
"prev": null,
"self": "https://olinke.com/api/payments?page=1"
}
}
GET https://olinke.com/api/payments/{payment_id}
curl --request GET \
--url 'https://olinke.com/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://olinke.com/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"plan_id": 1,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"email": "example@example.com",
"name": null,
"total_amount": "4.99",
"currency": "USD",
"status": true,
"datetime": "2026-04-17 10:05:51",
}
}